# The Cargo Book

![Cargo Logo](images/Cargo-Logo-Small.png)

Cargo is the [Rust] *package manager*. Cargo downloads your Rust package’s
dependencies, compiles your packages, makes distributable packages, and uploads them to
[crates.io], the Rust community’s *package registry*. You can contribute
to this book on [GitHub].


### Sections

**[Getting Started](getting-started/index.md)**

To get started with Cargo, install Cargo (and Rust) and set up your first crate.

**[Cargo Guide](guide/index.md)**

The guide will give you all you need to know about how to use Cargo to develop
Rust packages.

**[Cargo Reference](reference/index.md)**

The reference covers the details of various areas of Cargo.

**[Frequently Asked Questions](faq.md)**

[rust]: https://www.rust-lang.org/
[crates.io]: https://crates.io/
[GitHub]: https://github.com/rust-lang/cargo/tree/master/src/doc/src
